## golang-github-lorenzosaino-go-sysctl 0.3.1+ds1

=== Makefile ===
SHELL = /bin/bash -euo pipefail

# Go binary to use in non-container targets
GO ?= go

# Variables for container targets
GO_VERSION ?= latest
CONTAINER ?= golang:$(GO_VERSION)
PKG = github.com/lorenzosaino/go-sysctl
DOCKER_RUN_FLAGS = --rm -it -v $$(pwd):/go/src/$(PKG) -w /go/src/$(PKG)

export GO111MODULE=on

all: fmt-check lint vet nilness staticcheck test ## Run all checks and tests

.PHONY: mod-upgrade
mod-upgrade: ## Upgrade all vendored dependencies
	$(GO) get -d -u -t ./...
	$(GO) mod tidy
	$(GO) mod vendor

.PHONY: mod-update
mod-update: ## Ensure all used dependencies are tracked in go.{mod|sum} and vendored
	$(GO) mod tidy
	$(GO) mod vendor

.PHONY: fmt-check
fmt-check: ## Validate that all source files pass "go fmt"
	exit $(shell $(GO) fmt ./... | wc -l)

.PHONY: lint
lint: ## Run go lint
	@[ -x "$(shell which golint)" ] || $(GO) install ./vendor/golang.org/x/lint/golint 2>/dev/null || $(GO) install golang.org/x/lint/golint@latest
	@# We need to explicitly exclude ./vendor because of https://github.com/golang/lint/issues/320
	golint -set_exit_status $(shell $(GO)  list ./... | grep -v '/vendor/')

.PHONY: vet
vet: ## Run go vet
	$(GO) vet ./...

.PHONY: staticcheck
staticcheck: ## Run staticcheck
	@[ -x "$(shell which staticcheck)" ] || $(GO) install ./vendor/honnef.co/go/tools/cmd/staticcheck 2>/dev/null || $(GO) install honnef.co/go/tools/cmd/staticcheck@latest
	staticcheck ./...

nilness: ## Run nilness
	$(GO) install ./vendor/golang.org/x/tools/go/analysis/passes/nilness/cmd/nilness 2>/dev/null || [ -x "$(shell which nilness)" ] || $(GO) install golang.org/x/tools/go/analysis/passes/nilness/cmd/nilness@latest
	nilness ./...

.PHONY: test
test: ## Run all tests
	$(GO) test -race ./...

.PHONY: container-shell
container-shell: ## Open a shell on a Docker container
	docker run $(DOCKER_RUN_FLAGS) $(CONTAINER) /bin/bash

.PHONY: container-%
container-%: ## Run any target of this Makefile in a Docker container
	docker run $(DOCKER_RUN_FLAGS) $(CONTAINER) make $*

.PHONY: help
help: ## Print help
	@(grep -E '^[a-zA-Z0-9_%-]+:.*?## .*$$' Makefile || true )| awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
golang-github-lorenzosaino-go-sysctl (0.3.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1107494)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 21 Aug 2025 22:16:29 -0700

=== debian/control ===
Source: golang-github-lorenzosaino-go-sysctl
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-google-go-cmp-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-mod-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-tools-dev,
 golang-honnef-go-tools-dev,
 golang-toml-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lorenzosaino-go-sysctl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lorenzosaino-go-sysctl.git
Homepage: https://github.com/lorenzosaino/go-sysctl
XS-Go-Import-Path: github.com/lorenzosaino/go-sysctl

Package: golang-github-lorenzosaino-go-sysctl-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Go wrapper around the sysctl interface (library)
 This package provides a Go wrapper around the sysctl interface, allowing Go
 programs to read and write kernel parameters at runtime.
 .
 It supports getting and setting single sysctl values, retrieving all values,
 or filtering them by a pattern. It can also apply settings from a
 configuration file, similar to `sysctl -p`.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/lorenzosaino/go-sysctl/tags .*/v?(\d\S*)\.tar\.gz debian
